Skip to main content
GET
/
v1
/
merchants
/
{merchantId}
/
cashouts
List cashouts for a specific merchant
curl --request GET \
  --url https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/cashouts \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/cashouts"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/cashouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "request_id": "req_123456789",
      "external_request_id": "123e4567-e89b-12d3-a456-426614174000",
      "company_id": "123e4567-e89b-12d3-a456-426614174000",
      "origin_bank_account_id": "123e4567-e89b-12d3-a456-426614174000",
      "amount": 10000,
      "currency": "BRL",
      "method": "PIX",
      "status": "PROCESSING",
      "created_at": "2025-01-01T10:00:00.000Z",
      "updated_at": "2025-01-01T10:05:00.000Z",
      "destination_bank_account_id": "123e4567-e89b-12d3-a456-426614174001",
      "destination_pix_key_id": "223e4567-e89b-12d3-a456-426614174002",
      "fee": 150,
      "cost": 100,
      "fee_policy_id": "123e4567-e89b-12d3-a456-426614174002",
      "cost_policy_id": "123e4567-e89b-12d3-a456-426614174003",
      "error_message": "Insufficient funds",
      "returned_amount": 5000,
      "latest_return_at": "2025-01-01T11:00:00.000Z",
      "returns": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174004",
          "cashout_id": "123e4567-e89b-12d3-a456-426614174000",
          "provider_return_id": "b94150c9-7dad-4b21-8183-50c83f4c5dd8",
          "amount": 1000,
          "reason": "CUSTOMER_REQUEST",
          "return_identification": "return_123456789",
          "original_end_to_end_id": "E12345678202501011100000000001",
          "original_id": "tx_123456789",
          "created_at": "2025-01-01T11:00:00.000Z",
          "updated_at": "2025-01-01T11:00:00.000Z"
        }
      ],
      "metadata": {
        "custom_field": "value",
        "order_id": "order_123"
      },
      "end_to_end_id": "E12345678202501271234567890123456"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 50,
    "totalPages": 3,
    "hasNext": true,
    "hasPrev": false
  }
}
{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}

Authorizations

x-api-key
string
header
required

Company API key for authentication

Path Parameters

merchantId
string
required

The merchant ID

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:20

Number of items per page

Required range: 1 <= x <= 100
status
enum<string>

Filter by cashout status

Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED,
PARTIALLY_RETURNED,
RETURNED
method
enum<string>

Filter by cashout method

Available options:
PIX
created_at_from
string<date-time>

Filter cashouts from this date (inclusive)

created_at_to
string<date-time>

Filter cashouts to this date (inclusive)

request_id
string

Filter by request ID

origin_bank_account_id
string

Filter by origin bank account ID

destination_bank_account_id
string

Filter by destination bank account ID

sort
enum<string>

Sort by field

Available options:
created_at,
amount,
status

Response

Cashouts retrieved successfully

Paginated cashout list response

data
object[]
required

List of cashouts

pagination
object
required